import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme

    property color darkDisable: kGray16
    property color toolTipTextDisable: kFontPrimary
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kErrorDisable: buttonDisable
    property color highlightedTextInactive: kFontWhite
    property color kGrayAlpha11: Qt.rgba(0/255, 0/255, 0/255, 0.55)
    property color lightDisable: kGray1
    property color kGray8: Qt.rgba(210/255, 210/255, 210/255, 1)
    property color kBrand7: Qt.rgba(241/255, 133/255, 43/255, 1)
    property color toolTipBaseActive: kGray0
    property color kGray15: Qt.rgba(77/255, 77/255, 77/255, 1)
    property color brightTextActive: kFontStrong
    property color kFontWhiteSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kLineComponentNormal: kGrayAlpha0
    property color kComponentAlphaHover: kGrayAlpha4
    property color buttonActive: kGray6
    property color highlightedTextDisable: kFontPrimaryDisable
    property color kBrand3: Qt.rgba(235/255, 48/255, 150/255, 1)
    property color baseInactive: kGray0
    property color kGrayAlpha9: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color noRoleActive: kGray1
    property color alternateBaseInactive: kGray2
    property color brightTextDisable: kFontStrong
    property color kGrayAlpha4: Qt.rgba(0/255, 0/255, 0/255, 0.15)
    property color noRoleDisable: kGray5
    property color linkInactive: kBrandNormal
    property color kLineNormal: kGrayAlpha3
    property color kGray6: Qt.rgba(230/255, 230/255, 230/255, 1)
    property color shadowDisable: Qt.rgba(0/255, 0/255, 0/255, 0.25)
    property color toolTipTextInactive: kFontPrimary
    property color kGray1: Qt.rgba(250/255, 250/255, 250/255, 1)
    property color kFontWhiteSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color kGray11: Qt.rgba(175/255, 175/255, 175/255, 1)
    property color kFontPrimaryDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color lightInactive: KWhite
    property color windowTextActive: kFontPrimary
    property color baseDisable: kGray1
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property color kComponentHover: kGray7
    property color kGrayAlpha3: Qt.rgba(0/255, 0/255, 0/255, 0.1)
    property color kGray10: Qt.rgba(185/255, 185/255, 185/255, 1)
    property color shadowInactive: Qt.rgba(0/255, 0/255, 0/255, 0.25)
    property color kGray16: Qt.rgba(64/255, 64/255, 64/255, 1)
    property color kGrayAlpha12: Qt.rgba(0/255, 0/255, 0/255, 0.03)
    property color kContainSecondaryNormal: kGray2
    property color kGray7: Qt.rgba(220/255, 220/255, 220/255, 1)
    property color windowDisable: kGray3
    property color kGray13: Qt.rgba(115/255, 115/255, 115/255, 1)
    property color linkvisitedDisable: kFontPrimaryDisable
    property color buttonInactive: kGray6
    property color tokenColor: Qt.rgba(246/255, 246/255, 246/255, 0.65)
    property color kContainGeneralAlphaNormal: kGrayAlpha0
    property color windowTextInactive: kFontSecondaryDisable
    property color lightActive: KWhite
    property color kLineBrandHover: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color highlightActive: kBrandNormal
    property color kGray14: Qt.rgba(102/255, 102/255, 102/255, 1)
    property color kComponentNormal: kGray6
    property color kGray5: Qt.rgba(235/255, 235/255, 235/255, 1)
    property color darkActive: KBlack
    property color alternateBaseDisable: kGray2
    property color toolTipTextActive: kFontPrimary
    property color kLineBrandNormal: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kFontSecondaryDisable: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kSuccessDisable: buttonDisable
    property color kGrayAlpha1: Qt.rgba(0/255, 0/255, 0/255, 0.05)
    property color midDisable: kGray14
    property color kLineWindowActive: kGrayAlpha3
    property color kComponentAlphaClick: kGrayAlpha6
    property color kGrayAlpha0: Qt.rgba(0/255, 0/255, 0/255, 0)
    property color windowTextDisable: kFontPrimaryDisable
    property color kBrand5: Qt.rgba(0/255, 129/255, 31/255, 1)
    property color linkActive: kBrandNormal
    property color highlightInactive: kBrandNormal
    property color highlightDisable: kGray4
    property color kLineBrandDisable: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color toolTipBaseInactive: kGray0
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color kComponentAlphaNormal: kGrayAlpha3
    property color noRoleInactive: kGray1
    property var linkVisitedActive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kLineComponentClick: kGrayAlpha0
    property color kFontWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kGrayAlpha2: Qt.rgba(0/255, 0/255, 0/255, 0.08)
    property color darkInactive: KBlack
    property color linkDisable: kFontPrimaryDisable
    property color kComponentDisable: kGray4
    property color toolTipBaseDisable: kGray0
    property var linkVisitedInactive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGray12: Qt.rgba(165/255, 165/255, 165/255, 1)
    property color midLightDisable: kGray6
    property color alternateBaseActive: kGray2
    property color kFontStrong: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color kGray0: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kGrayAlpha10: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property color kGray4: Qt.rgba(238/255, 238/255, 238/255, 1)
    property color kModalMask: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kFontSecondary: Qt.rgba(0/255, 0/255, 0/255, 0.6)
    property color kGrayAlpha8: Qt.rgba(0/255, 0/255, 0/255, 0.28)
    property color midActive: kGray13
    property color textInactive: kFontPrimary
    property color kContainClick: kGray4
    property color midLightActive: kGray7
    property color kGrayAlpha7: Qt.rgba(0/255, 0/255, 0/255, 0.25)
    property color kLineWindowInactive: kGrayAlpha3
    property color kBrand1: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color tokenColor1: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color buttonTextInactive: kFontPrimary
    property var kBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kContainAlphaClick: kGrayAlpha2
    property color kWarningDisable: buttonDisable
    property color kDivider: kGrayAlpha3
    property color kGray2: Qt.rgba(246/255, 246/255, 246/255, 1)
    property color kGrayAlpha6: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kGrayAlpha5: Qt.rgba(0/255, 0/255, 0/255, 0.18)
    property color windowActive: kGray2
    property color windowInactive: kGray2
    property color kGray3: Qt.rgba(242/255, 242/255, 242/255, 1)
    property color kContainGeneralNormal: kGray0
    property color brightTextInactive: kFontStrong
    property color kComponentAlphaDisable: kGrayAlpha2
    property color placeholderTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.5)
    property color kContainAlphaHover: kGrayAlpha1
    property color kContainHover: kGray3
    property color kBrand2: Qt.rgba(114/255, 46/255, 209/255, 1)
    property var kSuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color buttonDisable: kGray4
    property color highlightedTextActive: kFontWhite
    property color kBrand4: Qt.rgba(240/255, 188/255, 54/255, 1)
    property color kWarningNormal: Qt.rgba(255/255, 125/255, 0/255, 1)
    property color midLightInactive: kGray7
    property color kComponentClick: kGray10
    property var kErrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property var kWarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kLineComponentHover: kGrayAlpha0
    property color kLineComponentDisable: kGrayAlpha0
    property color buttonTextDisable: kFontPrimaryDisable
    property color shadowActive: Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color kGray17: Qt.rgba(38/255, 38/255, 38/255, 1)
    property color kFontWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property var kErrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kBrandNormal: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color textDisable: kFontPrimaryDisable
    property color kBrand6: Qt.rgba(223/255, 49/255, 55/255, 1)
    property color kGrayAlpha13: Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color baseActive: kGray0
    property color placeholderTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.35)
    property var kWarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kErrorNormal: Qt.rgba(245/255, 63/255, 63/255, 1)
    property color kLineBrandClick: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kGray9: Qt.rgba(200/255, 200/255, 200/255, 1)
    property color textActive: kFontPrimary
    property var kSuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property var kBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property var kBrandFocus : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.3)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.3)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color placeholderTextActive: Qt.rgba(0/255, 0/255, 0/255, 0.5)
    property color kFontPrimary: Qt.rgba(0/255, 0/255, 0/255, 0.85)
    property color buttonTextActive: kFontPrimary
    property color midInactive: kGray13
    property color kBrandDisable: buttonDisable
    property color kLineDisable: kGrayAlpha1
    property color kSuccessNormal: Qt.rgba(0/255, 180/255, 42/255, 1)
    property int tokenFontsize24: 24
    property int tokenFontsize12: 12
    property int tokenFontsize14: 14
    property int tokenFontsize16: 16
    property int tokenFontsize18: 18
    property int normalLine: 1
    property int focusLine: 2
    property int tokenGap4: 4
    property int tokenGap24: 24
    property int tokenGap16: 16
    property int tokenGap40: 40
    property int tokenGap8: 8
    property int kRadiusMenu: 8
    property int kRadiusWindow: 12
    property int kRadiusMin: 4
    property int kRadiusNormal: 6
}
